<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW2 - alert-prompt-confirm</title>
</head>

<body>

    <script>
        
        let userName;
        let userAge;
        let confirmed;

        do {
            userName = prompt("What's your name?", userName);
            userAge = +prompt("How old are you?", userAge);
        }
        while (userName == false || userName == "" || userAge == false || isNaN(userAge))

        if (userAge < 18) {
            alert("You are not allowed to visit this website");
        } else if (userAge <= 22) {
            confirmed = confirm("Are you sure you want to continue?");
            if (confirmed == true) {
                alert(`Welcome, ${userName}`);
            } else {
                alert("You are not allowed to visit this website");
            }
        } else {
            alert(`Welcome, ${userName}`);
        }

    </script>

</body>

</html>